VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR:
[legend]

## Public Member Functions

| MemoryGetFdInfoKHR (DeviceMemory memory_=DeviceMemory(), ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd)
| MemoryGetFdInfoKHR (VkMemoryGetFdInfoKHR const &rhs)
MemoryGetFdInfoKHR & | operator= (VkMemoryGetFdInfoKHR const &rhs)
MemoryGetFdInfoKHR & | setPNext (const void *pNext_)
MemoryGetFdInfoKHR & | setMemory (DeviceMemory memory_)
MemoryGetFdInfoKHR & | setHandleType (ExternalMemoryHandleTypeFlagBits handleType_)
| operator VkMemoryGetFdInfoKHR const & () const
| operator VkMemoryGetFdInfoKHR & ()
bool | operator== (MemoryGetFdInfoKHR const &rhs) const
bool | operator!= (MemoryGetFdInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceMemory | memory
ExternalMemoryHandleTypeFlagBits | handleType

## Private Attributes

StructureType | sType = StructureType::eMemoryGetFdInfoKHR

## Detailed Description

Definition at line 32133 of file vulkan.hpp.

## Constructor & Destructor Documentation

## MemoryGetFdInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::MemoryGetFdInfoKHR | ( | DeviceMemory | memory_ = `DeviceMemory()`,
|  | ExternalMemoryHandleTypeFlagBits | handleType_ = `ExternalMemoryHandleTypeFlagBits::eOpaqueFd`
| ) |  |

inline

Definition at line 32135 of file vulkan.hpp.

: memory( memory_ )
, handleType( handleType_ )
{
}

## MemoryGetFdInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::MemoryGetFdInfoKHR | ( | VkMemoryGetFdInfoKHR const & | rhs | ) |

inline

Definition at line 32142 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryGetFdInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkMemoryGetFdInfoKHR &()

VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator VkMemoryGetFdInfoKHR & | ( |  | ) |

inline

Definition at line 32175 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryGetFdInfoKHR*>(this);
}

## operator VkMemoryGetFdInfoKHR const &()

VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator VkMemoryGetFdInfoKHR const & | ( |  | ) | const

inline

Definition at line 32170 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryGetFdInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator!= | ( | MemoryGetFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32188 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

MemoryGetFdInfoKHR& VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator= | ( | VkMemoryGetFdInfoKHR const & | rhs | ) |

inline

Definition at line 32147 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryGetFdInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator== | ( | MemoryGetFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32180 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memory == rhs.memory )
&& ( handleType == rhs.handleType );
}

References handleType, memory, pNext, and sType.

Referenced by operator!=().

## setHandleType()

MemoryGetFdInfoKHR& VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::setHandleType | ( | ExternalMemoryHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 32164 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setMemory()

MemoryGetFdInfoKHR& VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::setMemory | ( | DeviceMemory | memory_ | ) |

inline

Definition at line 32158 of file vulkan.hpp.

{
memory = memory_;
return *this;
}

## setPNext()

MemoryGetFdInfoKHR& VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 32152 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## handleType

ExternalMemoryHandleTypeFlagBits VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::handleType

Definition at line 32199 of file vulkan.hpp.

Referenced by operator==().

## memory

DeviceMemory VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::memory

Definition at line 32198 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::pNext = nullptr

Definition at line 32197 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::sType = StructureType::eMemoryGetFdInfoKHR

private

Definition at line 32194 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::operator==
bool operator==(MemoryGetFdInfoKHR const &rhs) const
Definition: vulkan.hpp:32180
VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:32197
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:32194
VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::MemoryGetFdInfoKHR
MemoryGetFdInfoKHR(DeviceMemory memory_=DeviceMemory(), ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd)
Definition: vulkan.hpp:32135
VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::handleType
ExternalMemoryHandleTypeFlagBits handleType
Definition: vulkan.hpp:32199
memory
GLsizei GLenum GLsizei GLsizei GLuint memory
Definition: gl2ext.h:1474
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508
VkMemoryGetFdInfoKHR
Definition: vulkan_core.h:5343
VULKAN_HPP_NAMESPACE::MemoryGetFdInfoKHR::memory
DeviceMemory memory
Definition: vulkan.hpp:32198